package cz.muni.fi.lasaris.sbms.data.api.response;

import java.util.Map;

import cz.muni.fi.lasaris.sbms.data.entities.containers.Snapshot;

public class GroupedSnapshotResponse {
	private String error;
	private Map<String, Snapshot> results;
	
	public Map<String, Snapshot> getResults() {
		return this.results;
	}
	
	public static GroupedSnapshotResponse getErrorResponse(String error) {
		GroupedSnapshotResponse r = new GroupedSnapshotResponse();
		r.setError(error);
		return r;
	}
	
	private GroupedSnapshotResponse() {
		this.results = null;
	}
	
	public GroupedSnapshotResponse(Map<String, Snapshot> data) {
		this.results = data;
	}
	
	public String getError() {
		return error;
	}

	public void setError(String error) {
		this.error = error;
	}
}
